Subject: [Ietf-behave] Question re: State of P2P Communication Across NATs

From: "Eric Cooper" <[email-masked]>
Date: Fri, 3 Nov 2006 15:25:03 -0600 (CST) (envelope-from [email-masked])

I was just reading section 3.2 (Connection Reversal,) and I was a bit confused 
by the final paragraph, which states:

"It's main limitation, of course, is that it only works as long as only one of 
the communicating peers is behind a NAT *and the NAT is P2P-friendly, employing 
Address Independent Mapping*."

The 'P2P-friendly part' is the bit that I don't understand.  In this scenario, 
A (behind a NAT) is ultimately establishing a connection to B (publicly 
addressable).  Wouldn't this work with 'unfriendly' NATs as well?

Thanks,

Eric Cooper.